Problème installation Snow Leopard

kmil87

Membre confirmé
28 Mars 2008
12
0
Bonjour,

Je sais que ce sujet a été abordé un certain nombre de fois ici, mais je n'ai pas trouvé ma solution parmi les autres discussions...

J'ai un MBP (Mac OS X version 10.5.8), processeur 2.6GHz Intel Core 2 Duo.

Tout est parti de l'installation du dernier IOS sur mon iphone : avec ce nouveau système, mon iphone ne pouvait plus être synchronisé à Itunes (version 10.6.3) puisqu'il nécessite une version 7 minimum. Or, pour charger Itunes 7, j'ai visiblement besoin de Snow Leopard.

J'ai donc acheté Snow Leopard version 10.6.3 sur l'Apple Store (27 euros le Pack familial).

Mon lecteur de DVD étant HS, j'ai utilisé un autre macbook en mode cible pour pouvoir accéder à l'installation du DVD.

Là, quand je tente d'installer Snow Leopard sur mon MBP, le message suivant s'affiche : "l'application installer mac os x ne peut pas être utilisée à partir de ce volume"

Je ne suis pas très doué avec tout ça et là je ne sais vraiment plus quoi faire...

Est-ce que je n'aurais pas acheté la bonne version de SL ?
Est-ce que ça peut venir de l'utilisation du mode cible ?

Merci infiniement d'avance pour votre aide et vos réponses ! :up:
 

FrançoisMacG

Pince-fourmis
Club MacG
17 Août 2006
16 134
627
À côté (de ma plaque)
Bonjour,

Achète un lecteur externe de DVD, ou trouve un vieux Mac

= l'autre macbook est logiquement d'une version plus récente que 10.6.3, et ne peut donc lancer l'install que tu lui réclames.
 

macomaniac

Ouroboros
Club MacG
20 Septembre 2012
86 184
26 179
Forêt de Fontainebleau
Salut kmil.

Ton problème a quelque chose d'intrigant, en admettant que :

- Le DVD d'install de «Snow Léopard 10.6.3» que tu as acheté sur l'Apple Store est une version générique (retail), la seule disponible, et donc installable sur tout Mac compatible ;

- Ton MacBook Pro_2.6GHz_Intel Core 2 Duo (actuellement sous «Léopard 10.5.8») a tout l'air d'un Mid/Late_2007 ou d'un Early_2008 et donc est parfaitement compatible avec «Snow Léopard 10.6.3» et avec ton DVD d'install générique ;

- L'installation en mode 'Target' sur ton MacBook Pro jouant la fonction 'cible', à partir d'un Mac compatible avec le DVD d'install «Snow Léopard 10.6.3» jouant la fonction 'source' est parfaitement viable techniquement parlant ;

- Ton ordinateur 'source' est un MacBook faisant tourner «Léopard 10.5.8», le 1er modèle (2006) ayant «Snow Léopard 10.6.8» comme OS maximal et le dernier modèle capable de supporter «Léopard» étant le Mid_2009 qui peut d'être up-gradé, à partir de son OS original 10.5.7, jusqu'à l'actuel OS «Mountain Lion» - ce qui signifie que tout MacBook faisant tourner «Léopard» est a priori compatible avec le DVD d'install «Snow Léopard 10.6.3».​

Le caractère 'intrigant' du problème est que : si les 4 attendus ci-dessus sont bien respectés, l'installateur du DVD n'a aucune bonne raison de faire des siennes et de rejeter l'exécution de son programme. Et pourtant il fait des siennes en déclarant que son problème ne concerne pas le Mac 'cible', mais le Mac 'source' [«à partir de ce volume»]! Or comme le déclare le grand Sherlock Holmes : «Quand on a éliminé l'impossible, alors ce qui reste, si improbable soit-il, doit être la vérité». D'où il s'ensuit que :

- le Mac que tu appelles un MacBook ne pourrait-il pas, par improbable, n'être qu'un iBook G4 d'un blanc ressemblant :)D) quoique d'un format 4:3 et non pas 16:9? Ce qui expliquerait, quoique ledit iBook fît tourner le rétro-compatible «Léopard 10.5.8», que son architecture de processeur PPC rejetât un installateur d'OS Intel? [cette possibilité est trop improbable pour que j'y croie vraiment et j'anticipe une fin de non-recevoir, statuant que le Mac est d'autant plus ressemblant avec un MacBook blanc qu'il en est un dans les faits <et pas une jeune éléphante albinos déguisée en ordinateur pour Halloween...>]

- le MacBook qui finalement s'avèrerait bien ce dont il a l'air :D ne traînerait-il pas un Firmware désuet qui aurait bien besoin d'une mise-à-jour &#9758; ici pour arrêter de faire des siennes à l'insertion du DVD d'install «Snow Léopard 10.6.3»?

- à supposer finalement que le MacBook est bien ce que son nom laisse supposer, et que son Firmware ne regarde plus en arrière vers l'époque héroïque de «Tiger 10.4» :D - est-il capable de booter tout court sur le DVD d'install, comme si l'on voulait installer «Snow Léopard 10.6.3» sur son DDI? Re-démarrer, le DVD inséré, la touche 'alt' pressée : l'option 'OS X Install DVD' apparaît-elle comme disque de démarrage? Son choix permet-il de démarrer sur le DVD d'install?
 
Dernière édition:
  • J’aime
Réactions: Polo35230

kmil87

Membre confirmé
28 Mars 2008
12
0
Bonjour et merci pour cette grande réponse ! :up:

Alors pour répondre à tout celà :

- Ce que j'appelle le "Macbook" est effectivement ce dont il a l'air ;) : un Macbook 4,1 (version de la ROM de démarrage : MB41.00C1.B00 et version SMC : 1.31f1). Donc si j'ai bien compris ton tableau, tout est à jour de ce côté là.

- En effet, ce Macbook 4,1 peut démarrer sur le DVD d'install quand je teste la manip.

J'ai aussi vérifié qu'il était possible de lui installer Snow Leopard, et l' "installer Mac Os" a l'air de démarrer normalement (du moins les premières étapes, parce que je n'ai pas lancé l'installation), aucun message ne s'affiche, contrairement au MacbookPro.
 

macomaniac

Ouroboros
Club MacG
20 Septembre 2012
86 184
26 179
Forêt de Fontainebleau
J'ai comme un doute qui me point :D. Quand tu parles du mode 'Target', c'est bien le MacBook Pro que tu places en mode 'cible' en le démarrant la touche T maintenue pressée jusqu'à apparition du logo mobile en Y 'Firewire' à l'écran? Ce n'est quand même pas le MacBook?

Parce que si, le DVD d'install inséré dans le mange-disque du MacBook, tu parviens à démarrer sur l'installateur et à simuler un lancement de l'installation ; à supposer à présent ton MacBook Pro placé en mode 'Target' (qui le transforme en simple DDE pour le MacBook), et relié au MacBook par un cordon Firewire ; cela signifie que le volume-disque du MacBook Pro se trouve monté à l'instar d'une image-disque sur le Bureau du MacBook et que tu peux sélectionner ce volume comme disque sur lequel appliquer l'installation de l'OS «Snow Léopard».

Serait-ce à ce moment-là que l'installateur regimbe, en alléguant que le volume du MacBook Pro monté sur le Bureau du MacBook ne peut pas accueillir l'installation? - j'ai tendance à rejeter cette hypothèse, car l'installateur ne dirait pas «à partir du» volume, mais «sur» le volume... Le fait que l'installateur déclare l'impossibilité d'installer «à partir du» volume a bien des chances de vouloir dire que tu as placé le MacBook en mode 'Target' en lui ayant fait avaler le DVD d'install, ce qui fait que sur le Bureau du MacBook Pro tu apercevrais les 2 icônes de volumes du DDI du MacBook et du disque d'install. Et comme ton MacBook est en mode 'Target', cela voudrait dire que le DVD d'install qu'il supporte à partir de son SuperDrive interne ne peut pas être démarré, puisque tu as coupé les ailes de ton MacBook en le virant à la fonction passive de DDE pour le MacBook Pro...

Dis-moi que cette improbabilité n'est pas vraie - à savoir que tu n'aurais pas inversé les rôles dans l'établissement du mode 'Target'? [Je ne sais pourquoi, je me sens d'humeur primesautière dans ce fil :D]
 

kmil87

Membre confirmé
28 Mars 2008
12
0
J'ai trop honte pour répondre à ce message :rose: , mais je vais le faire quand même par respect pour le temps que tu as passé à me répondre... :zen:

Il se peut en effet que j'ai un tout petit peu inversé les ordinateurs en utilisant le mode cible... :siffle:

Bon, je pensais que le Macbook devait être en mode cible pour pouvoir n'utiliser que le lecteur dvd et installer SL depuis le MacbookPro... Visiblement c'était une drôle d'idée... :rolleyes:

D'où le "je ne suis pas très doué" dans mon premier message... lol
Faute anticipée à moitié pardonnée ?? :rose::rose::rose:

Enfin, du tout ça marche beaucoup mieux comme ça effectivement, et SL s'est installé sans soucis... :siffle:

Comme quoi j'ai quand même bien fait de poser la question, j'aurais au moins appris à utiliser le mode cible, il faut un début à tout !! :siffle: :zen:

En tous cas merci infiniment pour ton aide :up: et encore désolé pour la perte de temps ! :rose:
 

macomaniac

Ouroboros
Club MacG
20 Septembre 2012
86 184
26 179
Forêt de Fontainebleau
D'un seul coup, j'ai eu comme qui dirait une illumination sémantique à la relecture du : «à partir de ce volume» :D L'essentiel est que tu aies pu up-grader l'OS de ton MacBook Pro.

[Je te signale en passant un petit point, au cas où tu l'aurais raté. Sur ton DVD d'install de «Snow Léopard», il y a un paquetage d'installations optionelles ('Optional Install') que tu n'as peut-être pas choisi d'installer d'emblée. Pas de problème : ré-insère le DVD (en mode 'Target' à l'endroit :D) et choisis de les installer en 2è couche. Je te recommande instamment «Rosetta» (émulateur du code des applications PPC sous Intel, natif sous «Léopard», optionnel seulement sous «Snow Léopard». Sans «Rosetta», plus d'«Appleworks» par exemple) ; de même que «QuickTime 7» (bien utile si on a la clé de la version 'Pro'). Et toutes les polices supplémentaires. Il faut tout rajouter!]
 

FrançoisMacG

Pince-fourmis
Club MacG
17 Août 2006
16 134
627
À côté (de ma plaque)
J'ai trop honte pour répondre à ce message :rose: , mais je vais le faire quand même par respect pour le temps que tu as passé à me répondre... :zen:

Il se peut en effet que j'ai un tout petit peu inversé les ordinateurs en utilisant le mode cible... :siffle:

Bon, je pensais que le Macbook devait être en mode cible pour pouvoir n'utiliser que le lecteur dvd et installer SL depuis le MacbookPro... Visiblement c'était une drôle d'idée... :rolleyes:
Non, non, ce n'était pas une drôle d'idée.
C'est souvent le Mac sain qu'on doit lancer en Target, et c'est seulement parfois le Mac malade qui doit l'être : tout dépend des Mac et des OS X, et on ne peut le savoir qu'après avoir essayé les deux façons. ;)
 

yohan33

Membre enregistré
10 Décembre 2013
6
0
27
Bonjour,

J'ai un tres gros probleme avec mon emac , j'ai malencontreusement suprimer l'installater d'application quelqu'un peut m'aider ? C'est tres urgent

merci d'avance
 

Locke

What am I doing here?
Modérateur
Club MacG
20 Juillet 2011
38 326
5 471
Bonjour,

J'ai un tres gros probleme avec mon emac , j'ai malencontreusement suprimer l'installater d'application quelqu'un peut m'aider ? C'est tres urgent

merci d'avance

Ca te dérangerait de créer ton PROPRE message en détaillant ton problème ?

Ici, le problème est RESOLU.
 

Locke

What am I doing here?
Modérateur
Club MacG
20 Juillet 2011
38 326
5 471
Je ne sais pas comment on fait je suis nouveau sur le site

Tu sais répondre, donc il te suffit de faire un clic sur NOUVEAU dans la bonne section et de créer ton message de demande. :zen: